# Generated from erp_integration-0.12.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name erp_integration

Name: rubygem-%{gem_name}
Version: 0.12.0
Release: 1%{?dist}
Summary: Connects Mejuri with third-party ERP vendors
License: MIT
URL: https://www.github.com/mejuri-inc/erp-integration
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.7
# BuildRequires: rubygem(byebug) >= 11.0
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(flay) >= 2.12
# BuildRequires: rubygem(flay) < 3
# BuildRequires: rubygem(flay) >= 2.12.1
# BuildRequires: rubygem(github_changelog_generator) >= 1.15.2
# BuildRequires: rubygem(github_changelog_generator) < 1.16
# BuildRequires: rubygem(reek) < 6.0
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) < 0.82.0
# BuildRequires: rubygem(rubocop-rake) >= 0.5
# BuildRequires: rubygem(rubocop-rake) < 1
# BuildRequires: rubygem(rubocop-rspec) < 1.39.0
# BuildRequires: rubygem(webmock) >= 3.14.0
# BuildRequires: rubygem(webmock) < 3.15
# BuildRequires: rubygem(parallel) = 1.19.2
BuildArch: noarch

%description
Connects Mejuri with third-party ERP vendors.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.flayignore
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.reek.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/erp_integration.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.12.0-1
- Initial package
